--- title: "getBlockStorageInstanceList" slug: "compute-vserver-storage-getblockstorageinstancelist" updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-storage-getblockstorageinstancelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getBlockStorageInstanceList Available in VPC Get the list of block storage instances. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/getBlockStorageInstanceList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the query result (default) | | `zoneCode` | String | Optional | Zone code - See [getZoneList](/docs/en/compute-vserver-server-common-getzonelist). | | `blockStorageInstanceNoList.N` | Array | Optional | Block storage instance number list - Filter by the block storage instance number. - See [getBlockStorageInstanceList](/docs/en/compute-vserver-storage-getblockstorageinstancelist). - Example: `blockStorageInstanceNoList.1=1234&blockStorageInstanceNoList.2=2345` | | `blockStorageInstanceStatusCode` | String | Optional | Filter by the block storage instance status code. - `INIT` \| `CREAT` \| `ATTAC` - `INIT`: creating - `CREAT`: available - `ATTAC`: in use | | `blockStorageDiskTypeCode` | String | Optional | Filter by the block storage disk type code. - `NET`: network disk (valid value) | | `blockStorageDiskDetailTypeCode` | String | Optional | Filter by the detailed type code of block storage disk. - `HDD` \| `SSD` | | `blockStorageSize` | Integer | Optional | Filter by the block storage size. - Can query block storage up to the entered size (GB). | | `blockStorageTypeCodeList.N` | Array | Optional | Block storage type code list - `BASIC` \| `SVRBS` - `BASIC`: default storage - `SVRBS`: additional storage - Filter by the block storage type code. - Example: `blockStorageTypeCodeList.1=BASIC&blockStorageTypeCodeList.2=SVRBS` | | `serverInstanceNo` | String | Optional | Filter by the server instance number.See [getServerInstanceList](/docs/en/compute-vserver-server-getserverinstancelist). | | `blockStorageName` | String | Optional | Filter by the block storage name. - Only use one among `blockStorageName`, `serverName`, and `connectionInfo`. | | `serverName` | String | Optional | Filter by the server name connected to the block storage. - Only use one among `blockStorageName`, `serverName`, and `connectionInfo`. | | `connectionInfo` | String | Optional | Filter by the block storage connection information. - Enter in the `{Server name} {Device name}` or `{Server name}:{Device name}` format. - Example: `s173dc67dc2e /dev/xvda`, `s173dc67dc2e:/dev/xvda` - Only use one among `blockStorageName`, `serverName`, and `connectionInfo`. | | `blockStorageVolumeTypeCodeList.N` | Array | Optional | Block storage volume type code list - `HDD` \| `SSD` \| `FB1` \| `CB1` - Filter by the block storage volume type code. - Example: `blockStorageVolumeTypeCodeList.1=SSD&blockStorageVolumeTypeCode.2=CB1` | | `hypervisorTypeCodeList.N` | Array | Optional | Hypervisor type code list - `XEN` \| `KVM` - Filter by the hypervisor type code. - Example: `hypervisorTypeCodeList.1=XEN` | | `pageNo` | Integer | Optional | Page number - 0-N (default: 0) - First page: Enter `0` or `1`. | | `pageSize` | Integer | Conditional | Number of items per page - 1-1000 (default: 1) - Required when entering `pageNo` | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getBlockStorageInstanceList ?regionCode=KR &blockStorageTypeCodeList.1=SVRBS &blockStorageInstanceStatusCode=CREAT &hypervisorTypeCodeList.1=KVM &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getBlockStorageInstanceListResponse` | Object | - | Response result - See [BlockStorageInstanceList](/docs/en/common-vapidatatype-blockstorageinstancelist). | | `getBlockStorageInstanceListResponse.requestId` | String | - | ID for the request - UUID format | | `getBlockStorageInstanceListResponse.returnCode` | String | - | Response code | | `getBlockStorageInstanceListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getBlockStorageInstanceListResponse": { "totalRows": 1, "blockStorageInstanceList": [ { "blockStorageInstanceNo": "10*****68", "blockStorageName": "storageX", "blockStorageType": { "code": "SVRBS", "codeName": "Server BS" }, "blockStorageSize": 10737418240, "blockStorageProductCode": "BST.CB.CB1.V001", "blockStorageInstanceStatus": { "code": "CREAT", "codeName": "Block storage CREATED status" }, "blockStorageInstanceOperation": { "code": "NULL", "codeName": "Block storage NULL OP" }, "blockStorageInstanceStatusName": "detached", "createDate": "2025-06-20T15:35:25+0900", "blockStorageDiskType": { "code": "NET", "codeName": "Network storage" }, "blockStorageDiskDetailType": { "code": "SSD", "codeName": "SSD" }, "maxIopsThroughput": 100, "isEncryptedVolume": false, "zoneCode": "KR-2", "regionCode": "KR", "isReturnProtection": true, "blockStorageVolumeType": { "code": "CB1", "codeName": "Common BlockStorage 1" }, "hypervisorType": { "code": "KVM", "codeName": "KVM" }, "throughput": 104857600, "iops": 100 } ], "requestId": "4c0c5ebb-****-****-****-fb47d14bd21a", "returnCode": "0", "returnMessage": "success" } } ```